name: driverapp
description: A new Flutter application.


version: 1.0.0+1

environment:
  sdk: ">=2.7.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  # Localizations
  flutter_localizations:
    sdk: flutter
  intl: ^0.16.1


  # http client
  http: ^0.12.1
  connectivity: ^0.4.9

  # State Management
  provider: ^4.3.1

  #Dependency Injection
  get_it: ^4.0.2

  # Permissions
  permission_handler: ^5.0.0+hotfix.3
  device_info: ^0.4.2+4

  # Native
  flutter_device_type: ^0.2.0
  local_auth: ^0.6.2+3
  maps_launcher: ^1.2.1
  url_launcher: ^5.5.0
  shared_preferences: ^0.5.8
  flutter_flexible_toast: ^0.1.4

  # Progress bar
  progress_hud_v2: ^2.0.0
  percent_indicator: ^2.1.5

  # Icons
  feather_icons_flutter: any
  eva_icons_flutter: any
  font_awesome_flutter: any
  cupertino_icons: ^0.1.3

  # Image Attachments
  image_picker: ^0.6.7+1
  image_cropper: ^1.2.1

  # UI Reqs
  dotted_border: 1.0.5
  expandable: ^4.1.4
  hexcolor: ^1.0.1

  # Notification Banner
  dropdown_banner: ^1.4.0
  flutter_local_notifications:

  # charts
  charts_flutter: ^0.9.0

  # Qr code Scanner
  barcode_scan: ^3.0.1
  #mape
  map_launcher: ^0.12.0




dev_dependencies:
  flutter_test:
    sdk: flutter
  build_runner: any


flutter:

  uses-material-design: true

  # assets:
  assets:
    - assets/images/

  fonts:
    - family: WorkSans
      fonts:
        - asset: assets/fonts/Work_Sans/WorkSans-Regular.ttf
        - asset: assets/fonts/Work_Sans/WorkSans-Bold.ttf
        - asset: assets/fonts/Work_Sans/WorkSans-Bold.ttf
          weight: 700

    - family: DriverApp
      fonts:
        - asset: lib/app-icons/fonts/DriverApp.ttf

    - family: Metropolis
      fonts:
          - asset: assets/fonts/Metropolis/Metropolis-Regular.otf
          - asset: assets/fonts/Metropolis/Metropolis-Bold.otf
          - asset: assets/fonts/Metropolis/Metropolis-Light.otf
